package com.mortals.xhx.module.apps.model;

import java.util.List;
import com.mortals.xhx.module.apps.model.AppsEntity;
/**
 * 系统应用列查询对象
 *
 * @author zxfei
 * @date 2022-06-23
 */
public class AppsQuery extends AppsEntity {
    /** 开始 主键,自增长 */
    private Long idStart;

    /** 结束 主键,自增长 */
    private Long idEnd;

    /** 增加 主键,自增长 */
    private Long idIncrement;

    /** 主键,自增长列表 */
    private List <Long> idList;

    /** 应用名称 */
    private List<String> nameList;

    /** 图标 */
    private List<String> imgPathList;

    /** 连接地址 */
    private List<String> urlList;

    /** 开始 状态，0暂未开通，1已开通 */
    private Integer statusStart;

    /** 结束 状态，0暂未开通，1已开通 */
    private Integer statusEnd;

    /** 增加 状态，0暂未开通，1已开通 */
    private Integer statusIncrement;

    /** 状态，0暂未开通，1已开通列表 */
    private List <Integer> statusList;

    /** 开始 排序号 */
    private Integer sortNumStart;

    /** 结束 排序号 */
    private Integer sortNumEnd;

    /** 增加 排序号 */
    private Integer sortNumIncrement;

    /** 排序号列表 */
    private List <Integer> sortNumList;

    /** 描述 */
    private List<String> remarkList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 创建用户ID */
    private Long createUserIdStart;

    /** 结束 创建用户ID */
    private Long createUserIdEnd;

    /** 增加 创建用户ID */
    private Long createUserIdIncrement;

    /** 创建用户ID列表 */
    private List <Long> createUserIdList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户名称 */
    private List<String> updateUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppsQuery> andConditionList;

    public AppsQuery(){}

    /**
     * 获取 开始 主键,自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键,自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键,自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键,自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键,自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键,自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键,自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键,自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 应用名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 应用名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
     * 获取 图标
     * @return imgPathList
     */
    public List<String> getImgPathList(){
        return this.imgPathList;
    }

    /**
     * 设置 图标
     * @param imgPathList
     */
    public void setImgPathList(List<String> imgPathList){
        this.imgPathList = imgPathList;
    }
    /**
     * 获取 连接地址
     * @return urlList
     */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
     * 设置 连接地址
     * @param urlList
     */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }
    /**
     * 获取 开始 状态，0暂未开通，1已开通
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 状态，0暂未开通，1已开通
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 状态，0暂未开通，1已开通
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 状态，0暂未开通，1已开通
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 状态，0暂未开通，1已开通
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 状态，0暂未开通，1已开通
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 状态，0暂未开通，1已开通
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 状态，0暂未开通，1已开通
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 开始 排序号
     * @return sortNumStart
     */
    public Integer getSortNumStart(){
        return this.sortNumStart;
    }

    /**
     * 设置 开始 排序号
     * @param sortNumStart
     */
    public void setSortNumStart(Integer sortNumStart){
        this.sortNumStart = sortNumStart;
    }

    /**
     * 获取 结束 排序号
     * @return $sortNumEnd
     */
    public Integer getSortNumEnd(){
        return this.sortNumEnd;
    }

    /**
     * 设置 结束 排序号
     * @param sortNumEnd
     */
    public void setSortNumEnd(Integer sortNumEnd){
        this.sortNumEnd = sortNumEnd;
    }

    /**
     * 获取 增加 排序号
     * @return sortNumIncrement
     */
    public Integer getSortNumIncrement(){
        return this.sortNumIncrement;
    }

    /**
     * 设置 增加 排序号
     * @param sortNumIncrement
     */
    public void setSortNumIncrement(Integer sortNumIncrement){
        this.sortNumIncrement = sortNumIncrement;
    }

    /**
     * 获取 排序号
     * @return sortNumList
     */
    public List<Integer> getSortNumList(){
        return this.sortNumList;
    }

    /**
     * 设置 排序号
     * @param sortNumList
     */
    public void setSortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
    }

    /**
     * 获取 描述
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 描述
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 创建用户ID
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户ID
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户ID
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户ID
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户ID
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户ID
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户ID
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户ID
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户名称
     * @return updateUserNameList
     */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
     * 设置 更新用户名称
     * @param updateUserNameList
     */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
     * 设置  主键,自增长
     * @param id
     */
    public AppsQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键,自增长
     * @param idStart
     */
    public AppsQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键,自增长
     * @param idEnd
     */
    public AppsQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键,自增长
     * @param idIncrement
     */
    public AppsQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键,自增长
     * @param idList
     */
    public AppsQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param name
     */
    public AppsQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 应用名称
     * @param nameList
     */
    public AppsQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 图标
     * @param imgPath
     */
    public AppsQuery imgPath(String imgPath){
        setImgPath(imgPath);
        return this;
    }

    /**
     * 设置 图标
     * @param imgPathList
     */
    public AppsQuery imgPathList(List<String> imgPathList){
        this.imgPathList = imgPathList;
        return this;
    }


    /**
     * 设置 连接地址
     * @param url
     */
    public AppsQuery url(String url){
        setUrl(url);
        return this;
    }

    /**
     * 设置 连接地址
     * @param urlList
     */
    public AppsQuery urlList(List<String> urlList){
        this.urlList = urlList;
        return this;
    }

    /**
     * 设置  状态，0暂未开通，1已开通
     * @param status
     */
    public AppsQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 状态，0暂未开通，1已开通
     * @param statusStart
     */
    public AppsQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 状态，0暂未开通，1已开通
     * @param statusEnd
     */
    public AppsQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 状态，0暂未开通，1已开通
     * @param statusIncrement
     */
    public AppsQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 状态，0暂未开通，1已开通
     * @param statusList
     */
    public AppsQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置  排序号
     * @param sortNum
     */
    public AppsQuery sortNum(Integer sortNum){
        setSortNum(sortNum);
        return this;
    }

    /**
     * 设置 开始 排序号
     * @param sortNumStart
     */
    public AppsQuery sortNumStart(Integer sortNumStart){
        this.sortNumStart = sortNumStart;
        return this;
    }

    /**
     * 设置 结束 排序号
     * @param sortNumEnd
     */
    public AppsQuery sortNumEnd(Integer sortNumEnd){
        this.sortNumEnd = sortNumEnd;
        return this;
    }

    /**
     * 设置 增加 排序号
     * @param sortNumIncrement
     */
    public AppsQuery sortNumIncrement(Integer sortNumIncrement){
        this.sortNumIncrement = sortNumIncrement;
        return this;
    }

    /**
     * 设置 排序号
     * @param sortNumList
     */
    public AppsQuery sortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
        return this;
    }


    /**
     * 设置 描述
     * @param remark
     */
    public AppsQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 描述
     * @param remarkList
     */
    public AppsQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }



    /**
     * 设置  创建用户ID
     * @param createUserId
     */
    public AppsQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户ID
     * @param createUserIdStart
     */
    public AppsQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户ID
     * @param createUserIdEnd
     */
    public AppsQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户ID
     * @param createUserIdIncrement
     */
    public AppsQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户ID
     * @param createUserIdList
     */
    public AppsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public AppsQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public AppsQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AppsQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AppsQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AppsQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AppsQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AppsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 设置 更新用户名称
     * @param updateUserName
     */
    public AppsQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
        return this;
    }

    /**
     * 设置 更新用户名称
     * @param updateUserNameList
     */
    public AppsQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppsQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}